# SizedInputMedia - docs

docs / com.github.insanusmokrassar.TelegramBotAPI.types.InputMedia / SizedInputMedia

# SizedInputMedia

(common) `interface SizedInputMedia : InputMedia` (source)

### Properties

(common)

#### height

`abstract val height: Int?`

(common)

#### width

`abstract val width: Int?`

### Inheritors

(common)

#### InputMediaAnimation

`data class InputMediaAnimation : InputMedia, SizedInputMedia, DuratedInputMedia, ThumbedInputMedia, CaptionedOutput`

(common)

#### InputMediaVideo

`data class InputMediaVideo : InputMedia, SizedInputMedia, DuratedInputMedia, ThumbedInputMedia, MediaGroupMemberInputMedia`